
/* Общий стиль */
* {
box-sizing: border-box;
font-family: sans-serif;
margin: 0;
padding: 0;
}
@media (max-width: 767px) {
    * {
        font-size: 18px;
    }
    /* стили для экранов с шириной до 767 пикселей */
    .header {
      font-size: 24px;
    }
    
    .about {
      font-size: 18px;
    }
    
    /* и т.д. */
}
body, h1, h2, h3, h4, h5, h6 {
font-family: 'Arostotelica', sans-serif;
}
body {
display: flex;
flex-direction: column;
background-color: #343434;
/*background-image: url(/img/My\ project.png);
background-size: cover;
background-position:center;
background-attachment: fixed;
background-color: #343434;*/
background: url('/img/pexels-crazy-motions-8733062.gif');
background-size: cover;
background-repeat: no-repeat;
animation: slide 20s infinite;
background-repeat: no-repeat;
background-size: cover;
background-position: center;
}

.container {
max-width: 800px;
margin: 0 auto;
padding: 20px;
min-height: 100vh;
overflow: hidden;
background-color: #f2f2f2;
}
/* Заголовок и описание */
.header {
text-align: center;
margin-top: 20px;
animation: header-animate 1s linear;
}
@keyframes header-animate{
    0% {
        margin-top:-80px;
    }
    100%{
        margin-top:20px;
    }
}
/*.background-image-first {
    background-image: url('/img/41Z_2106.w009.n001.5B.p8.5.png');
    background-repeat: no-repeat;
    position: fixed;
    top:15%;
    left: 0;
    width: 800px;
    height: 100%;
    z-index: -1;
    animation: first-image-animation 1.5s linear ;
}
.background-image-sec {
    background-image: url('/img/25332.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    position: fixed;
    top: 17%;
    right: 75px;
    width: 720px;
    height: 450px;
    z-index: -1;
    border: 5px solid #343434;
    border-radius: 25%;
    animation: sec-image-animation 1.5s linear ;
}
*/
@keyframes first-image-animation {
    0% {
        left:-600px;
    }
    100% {
        left:0;
    }
}
@keyframes sec-image-animation {
    0% {
        right:-600px;
    }
    100% {
        right:75px;
    }
}


.header h1 {
font-size: 48px;
margin-bottom: 20px;
background-color:goldenrod;
width: 400px;
border-radius: 0px 0px 25px 25px;
margin: 0 auto;
box-shadow: 0 0 10px rgba(0, 0, 0, 0.7);
}

.header p {
font-size: 24px;
background-color: #333;
color: white;
width: 250px;
border-radius: 0px 0px 25px 25px;
margin: 0 auto;
box-shadow: 0 0 10px rgba(0, 0, 0, 0.7);
}

/* Навигация */
nav {
background-color: #333;
color: #fff;
display: flex;
justify-content: space-between;
align-items: center;
padding: 10px 20px;
position: fixed;
top: 0;
left: 0;
right: 0;
z-index: 1;
max-height: 45px;
box-shadow: #fff 0px 0px 10px 0px ;

}
nav ul {
display: flex;
list-style: none;
}

nav li {
margin: 0 10px;
}

nav a {
color: #fff;
text-decoration: none;
font-size: 20px;
padding: 10px;
border-radius: 5px;
}
nav a.active {
background-color: goldenrod;
}

nav a:hover {
background-color: #555;
}

/* О себе */
.about {
margin-top: 70px;
margin-bottom: 75px;
}

.about h2 {
font-size: 36px;
margin-bottom: 20px;
}

.about p {
font-size: 22px;
line-height: 1.5;
background-color: #333;
border-radius: 20px;
padding: 20px;
margin: 0 auto;
color: #f2f2f2;
box-shadow: 0 0 10px rgba(0, 0, 0, 0.7);

animation: fadeIn 1s ease-in-out;
animation-fill-mode: forwards;
}

@keyframes fadeIn {
0% {
opacity: 0;
transform: translateY(-20px);
}
100% {
opacity: 1;
transform: translateY(0);
}
}

.box-typing .animated-text{
    position: relative;;
}
.animated-text.sec-text:before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #f2f2f2;
    border-left:2px solid gold;
    animation: typing-animation 4s steps(12) infinite;
}
@keyframes typing-animation{
    40%,60% {
        left: 100%;
    }
    100%{
        left:0%;
    }
}
.color-gold{
    color: gold;
    font-size: 20px;
}


/* Навыки */
.skills {
margin-top: 80px;
}
.skills h1 {
    text-align: center;
}

.skills h2 {
font-size: 36px;
margin-bottom: 20px;
}

.skills ul {
list-style: none;
display: flex;
flex-wrap: wrap;
justify-content: space-between;
}
.skills ul :hover{
background-color:goldenrod;
transition: .4s;
}

.skills li {
width: calc(33.33% - 10px);
background-color: #fff;
box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
border-radius: 5px;
padding: 20px;
margin-bottom: 20px;
text-align: center;
}

.skills li h3 {
font-size: 24px;
margin-bottom: 10px;
}

.skills li p {
font-size: 18px;
line-height: 1.5;
}
/*пишемо анімовану стрічку, що означає степінь знання певної мови*/
.progress {
    height: 10px;
    width: 100%;
    background-color: rgb(187, 187, 187);
    border-radius: 20px;
    overflow: hidden;
    margin-bottom: 20px;
}
  
.progress-bar-html {
    height: 100%;
    background-color: goldenrod;
    border-radius: 20px;
    animation: fill-html 2s ease-in-out forwards;
}
.progress-bar-css {
    height: 100%;
    background-color: goldenrod;
    border-radius: 20px;
    animation: fill-css 2s ease-in-out forwards;
}
.progress-bar-js {
    height: 100%;
    background-color: goldenrod;
    border-radius: 20px;
    animation: fill-js 2s ease-in-out forwards;
}
  
@keyframes fill-html {
    0% { width: 0%; }
    100% { width: 95%; }
}
@keyframes fill-css {
    0% { width: 0%; }
    100% { width: 90%; }
}
@keyframes fill-js {
    0% { width: 0%; }
    100% { width: 50%; }
}

/* Образование */
.education {
margin-top: 100px;
background-color: #333;
border-radius: 100px 0px 0px 100px;
padding: 50px 0px 25px 75px;
color: #f2f2f2;
opacity: 0;
transform: translateX(150px);
transition: opacity 0.8s ease-out, transform 0.8s ease-out;
box-shadow: 0 0 10px rgba(0, 0, 0, 0.7);
}
.education.animate {
opacity: 1;
transform: translateX(0);
}
.education h2 {
font-size: 36px;
margin-bottom: 20px;
}

.education ul {
list-style: none;
}

.education li {
margin-bottom: 20px;
}

.education li h3 {
font-size: 24px;
margin-bottom: 10px;
}

.education li p {
font-size: 18px;
line-height: 1.5;
}

/* Опыт работы */
.experience {
margin-top: 100px;
margin-bottom: 125px;
background-color: goldenrod;
border-radius: 0px 100px 100px 0px;
padding: 50px 50px 25px 75px;
opacity: 0;
transform: translateX(-150px);
transition: opacity 0.8s ease-out, transform 0.8s ease-out;
box-shadow: 0 0 10px rgba(0, 0, 0, 0.7);
}
.experience.animate {
opacity: 1;
transform: translateX(0);
}

.experience h2 {
font-size: 36px;
margin-bottom: 20px;
}

.experience ul {
list-style: none;
}

.experience li {
margin-bottom: 20px;
}

.experience li h3 {
font-size: 24px;
margin-bottom: 10px;
}

.experience li p {
font-size: 18px;
line-height: 1.5;
}


/* Контактная информация */
.contact {
background-color: #333;
flex: 0 0 auto;
color: #f2f2f2;
padding: 50px;
text-align: center;
display: flex;
flex-direction: column;
justify-content: center;
align-items: center;
}

.contact h2 {
font-size: 36px;
margin-bottom: 20px;
}

.contact ul {
list-style: none;
}

.contact li {
margin-bottom: 20px;
}

.contact li h3 {
font-size: 24px;
margin-bottom: 10px;
}

.contact li p {
font-size: 18px;
line-height: 1.5;
}
/* стили слайдера */
.slider {
width: 98%;
margin: 0 auto;
margin-top: 50px;
height: 300px;
box-shadow: 0 0 10px rgba(0, 0, 0, 0.7);
}
.slick-prev:before, .slick-next:before {
color: black;
}
.slider img{
object-fit: cover;
width: 100%;
height: 300px;
overflow: hidden;
}
